=== effects/multitaskview/CMakeLists.txt ===
#######################################
# Effect

# Source files
set( kwin4_effect_builtins_sources ${kwin4_effect_builtins_sources}
    multitaskview/multitaskview.cpp
    )
