=== debian/changelog ===
kwin (4:5.15.11.65-1) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Nov 2022 11:02:28 +0800
